options =
{
    {
        default = 12,
        label = "Difficulty",
        help = "Adjusts enemy count and Veterancy.",
        key = 'opt_difficulty',
        pref = 'opt_difficulty',
        values = {
            {text = "General (default)", help = "He's dead, Bone!", key = 12, },
            {text = "Godlike", help = "Goldlike", key = 20, },
            {text = "Warlord+2", help = "I can't believe it", key = 17, },
            {text = "Warlord+1", help = "I can't believe it", key = 16, },
            {text = "Warlord", help = "I can't believe it", key = 15, },
            {text = "General+2", help = "Burn Baby", key = 14, },
            {text = "General+1", help = "Burn Baby", key = 13, },
            {text = "Captain+3", help = "Dead! Dead", key = 11, },
            {text = "Captain+2", help = "He's still dead!", key = 10, },
            {text = "Captain+1", help = "He's dead, Bone!", key = 9, },
            {text = "Captain", help = "Shoot me", key = 8, },
            {text = "Soldier+2", help = "Kick me", key = 7, },
            {text = "Soldier+1", help = "Harder", key = 6, },
            {text = "Soldier", help = "Normal", key = 5, },
        },
    },
    {
        default = 0,
        label = "Enemy Fortification level is ...",
        help = "enable for maximum difficulty",
        key = 'opt_defpowerup',
        pref = 'opt_defpowerup',
        values = {
            {text = "(default)",help = "easy", key = 0, },
            {text = "Legendary!",help = "insane", key = 1, },
        },
    },
    {
        default = 0.5,
        label = "Enemy level per wave..",
        help = "increase maximum difficulty",
        key = 'opt_inclevel',
        pref = 'opt_inclevel',
        values = {
            {text = "increases very slowly",help = "easy", key = 0.5, },
            {text = "decreasing slowly ...",help = "what ??", key = -0.5, },
            {text = "static",help = "boring", key = 0, },
            {text = "increases slow (b7)",help = "normal", key = 1, },
            {text = "increases a bit faster",help = "a tad bit more", key = 1.5, },
            {text = "increasing faster (like b8) hard",help = "harder, like b8", key = 2, },
            {text = "even faster",help = "harder than b8", key = 2.5, },
            {text = "much faster.",help = "even harder", key = 3, },
            {text = "try me!",help = "you asked for it", key = 10, },            
            {text = "killme!!",help = "you asked for it", key = 20, },
        },
    },
    {
        default = 360,
        label = "Startup Time",
        help = "How long until waves start attacking.",
        key = 'opt_startupTime',
        pref = 'opt_startupTime',
        values = {
            {text = "6:00 (default)",help = "", key = 360, },
            {text = "0:00", help = "", key = 0, },
            {text = "3:00",help = "", key = 180, },
            {text = "4:00",help = "", key = 240, },
            {text = "5:00",help = "", key = 300, },
            {text = "6:00",help = "", key = 360, },
            {text = "7:00", help = "", key = 420, },
            {text = "8:00",help = "", key = 480, },
            {text = "9:00",help = "", key = 540, },
            {text = "10:00",help = "", key = 600, },
            {text = "11:00",help = "", key = 660, },
            {text = "12:00",help = "", key = 720, },
            {text = "14:00",help = "", key = 840, },
            {text = "15:00",help = "", key = 900, },
            {text = "16:00",help = "", key = 960, },
            {text = "20:00",help = "", key = 1200, },
            {text = "60:00",help = "", key = 3600, },
        },
    },
    {
        default = 120,
        label = "Wave Delay Time",
        help = "How long between waves.",
        key = 'opt_waveTime',
        pref = 'opt_waveTime',
        values = {
            {text = "120 secs (default, least lag)",help = "", key = 120, },
            {text = "15 secs (hardcore, killing the sim)",help = "", key = 15, },
            {text = "30 secs (hard, lags)",help = "", key = 30, },
            {text = "45 secs (can lag)",help = "", key = 45, },
            {text = "60 secs (normal)",help = "", key = 60, },
            {text = "75 secs",help = "", key = 75, },
            {text = "90 secs",help = "", key = 90, },
            {text = "105 secs",help = "", key = 105, },
        },
    },
    {
        default = 3,
        label = "Defense Object",
        help = "The object you have to defend",
        key = 'opt_defenseObject',
        pref = 'opt_defenseObject',
        values = {
            {text = "Aeon Palace: 12k HP ",help = "harder", key = 3, },
            {text = "Aeon Palace: 24k HP ",help = "good strength", key = 2, },
            {text = "Aeon Palace: 60k HP ",help = "easy", key = 1, },
            {text = "Aeon Palace: Tons of HP ",help = "it should survive ...", key = 4, },
        },
    },
    {
        default = 0,
        label = "Spawn T1 Engineers",
        help = "enable for reduced difficulty",
        key = 'opt_spawn_t1eng',
        pref = 'opt_spawn_t1eng',
        values = {
            {text = "who needs them?",help = "whatever", key = 0, },
            {text = "better than nothing...",help = "easy", key = 1, },
        },
    },
    {
        default = 0,
        label = "Support Commanders ?",
        help = "enable for reduced difficulty",
        key = 'opt_spawn_sc',
        pref = 'opt_spawn_sc',
        values = {
            {text = "No, too easy!!",help = "Hard", key = 0, },
            {text = "Yes, please!",help = "easy", key = 1, },
            {text = "I want Demigods!",help = "insane much ?", key = 2, },
--            {text = "Breeze through ...",help = "cheese", key = 3, },
        },
    },
    {
        default = 0,
        label = "Commanders ?",
        help = "enable for reduced difficulty",
        key = 'opt_spawn_c',
        pref = 'opt_spawn_c',
        values = {
            {text = "No, too easy!!",help = "Hard", key = 0, },
            {text = "Yes, please!",help = "easy", key = 1, },
            {text = "I want Demigods!",help = "insane much ?", key = 2, },
--            {text = "Breeze through ...",help = "cheese", key = 3, },
        },
    },    
    {
        default = 0,
        label = "Spawn Paragons ?",
        help = "enable for reduced difficulty",
        key = 'opt_spawn_para',
        pref = 'opt_spawn_para',
        values = {
            {text = "Nope, want it the hard way",help = "Hard", key = 0, },
            {text = "Yeah, lets have some fun",help = "instawin?", key = 1, },
            {text = "I want them Inv1nc1ble !!!1! ",help = "lol yeah?", key = 2, },
        },
    },
    {
        default = 1,
        label = "Enemy SMDs are ...",
        help = "enable for reduced difficulty",
        key = 'opt_smd_chrgd',
        pref = 'opt_smd_chrgd',
        values = {
            {text = "Charged",help = "Hard", key = 1, },
            {text = "Gone",help = "instawin?", key = 0, },
        },
    },
};